## qgis 3.34.5+dfsg

=== CMakeLists.txt ===
#############################################################
# CMake settings
cmake_minimum_required(VERSION 3.12.0)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_AUTORCC ON)
# set path to additional CMake modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
# POLICIES
cmake_policy(SET CMP0048 NEW)
cmake_policy(SET CMP0053 NEW)
cmake_policy(SET CMP0071 NEW)
cmake_policy(SET CMP0094 NEW)
if(NOT "${CMAKE_VERSION}" VERSION_LESS "3.27")
  cmake_policy(SET CMP0144 NEW)
  # include(Dart) still used, as is the "Experimental" target
  cmake_policy(SET CMP0145 OLD)
endif()

# don't relink it only the shared object changes
set(CMAKE_LINK_DEPENDS_NO_SHARED ON)

#############################################################
# Project and version
set(CPACK_PACKAGE_VERSION_MAJOR "3")
set(CPACK_PACKAGE_VERSION_MINOR "34")
set(CPACK_PACKAGE_VERSION_PATCH "5")
set(COMPLETE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH})
set(RELEASE_NAME "Prizren")
project(qgis VERSION ${COMPLETE_VERSION})

if (APPLE)
  set(QGIS_APP_NAME "QGIS")
else()
  set(QGIS_APP_NAME "qgis")
endif()

# Note the version no is Mmmpp for Major/minor/patch, 0-padded, thus '10100' for 1.1.0
math(EXPR QGIS_VERSION_INT "${CPACK_PACKAGE_VERSION_MAJOR}*10000+${CPACK_PACKAGE_VERSION_MINOR}*100+${CPACK_PACKAGE_VERSION_PATCH}")
message(STATUS "QGIS version: ${COMPLETE_VERSION} ${RELEASE_NAME} (${QGIS_VERSION_INT})")

set (ENABLE_LOCAL_BUILD_SHORTCUTS FALSE CACHE BOOL "Disables some build steps which are only relevant for releases to speed up compilation time for development")

#############################################################
if (APPLE)
  # QGIS custom dependencies package from qgis/QGIS-Mac-Packager
  # they can be downloaded from https://qgis.org/downloads/macos/qgis-deps
  # and extracted to /opt/QGIS/qgis-deps-<deps-version>/stage
  set (QGIS_MAC_DEPS_DIR "" CACHE PATH "Path to QGIS Mac custom dependencies directory")

  # Setup LIB_DIR and CMAKE_PREFIX_PATH to help CMake's
  # find_packages to look for these libraries instead of system libraries
  if ( QGIS_MAC_DEPS_DIR )
    set(ENV{LIB_DIR} ${QGIS_MAC_DEPS_DIR})
    list(APPEND CMAKE_PREFIX_PATH ${QGIS_MAC_DEPS_DIR})
  endif()
endif()

#############################################################
# Configure OpenCL if available
set(HAVE_OPENCL FALSE)
if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "BSD$")
  option(USE_OPENCL "Use OpenCL" OFF)
else()
  option(USE_OPENCL "Use OpenCL" ON)
endif()
if (USE_OPENCL)
    find_package(OpenCL)
    if(${OpenCL_FOUND})
        set(HAVE_OPENCL TRUE)
        # Fixup for standard FindOpenCL module not assigning proper framework headers directory
        if (APPLE AND "${OpenCL_INCLUDE_DIR}" MATCHES "OpenCL\\.framework/?$")
            set(OpenCL_INCLUDE_DIR "${OpenCL_INCLUDE_DIR}/Headers" CACHE PATH "" FORCE)
            set(OpenCL_INCLUDE_DIRS ${OpenCL_INCLUDE_DIR})
        endif()
        find_package(OpenCLhpp)
        if(NOT OPENCL_HPP_FOUND)
            # Use internal headers copied from OpenCL-CLHPP project
            set(OPENCL_HPP_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/external/opencl-clhpp/include CACHE PATH "" FORCE)
            message(STATUS "Couldn't find OpenCL C++ headers, using internal: ${OPENCL_HPP_INCLUDE_DIR}")
        endif()
        set(OpenCL_INCLUDE_DIRS ${OpenCL_INCLUDE_DIRS} ${OPENCL_HPP_INCLUDE_DIR})
    else()
        message(STATUS "Couldn't find OpenCL: support DISABLED")
    endif()
endif()

# Configure CCache if available
if(NOT MSVC)
  option(USE_CCACHE "Use ccache" ON)
  if (USE_CCACHE)
    find_program(CCACHE_FOUND ccache)
    if(CCACHE_FOUND)
        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
        message(STATUS "ccache found")
    endif(CCACHE_FOUND)
  endif(USE_CCACHE)
endif(NOT MSVC)

if (IOS)
    set (DEFAULT_FORCE_STATIC_LIBS TRUE)
else()
    set (DEFAULT_FORCE_STATIC_LIBS FALSE)
endif()

set (FORCE_STATIC_LIBS ${DEFAULT_FORCE_STATIC_LIBS} CACHE BOOL "Determines whether libraries should be static only")
mark_as_advanced(FORCE_STATIC_LIBS)
if (FORCE_STATIC_LIBS)
  set (LIBRARY_TYPE STATIC)
  # following variable is used in qgsconfig.h
  set (HAVE_STATIC_PROVIDERS TRUE)
else()
  set (LIBRARY_TYPE SHARED)
  unset(HAVE_STATIC_PROVIDERS)
endif()

# in generated makefiles use relative paths so the project dir is moveable
# Note commented out since it cause problems but it would be nice to resolve these and enable
#
# issue is caused by include_directories(${CMAKE_BINARY_DIR}) near the end of this file generating incorrect path
#set (CMAKE_USE_RELATIVE_PATHS ON)

set (WITH_CORE TRUE CACHE BOOL "Determines whether QGIS core should be built.")
mark_as_advanced(WITH_CORE)

if(WITH_CORE)
  # Try to configure and build GRASS plugin by default
  foreach (GRASS_SEARCH_VERSION 7 8)
    # Legacy note:
    # For GRASS 6 there were used cached variables without version suffix so that existing caches didn't have to be reconfigured.
    # Cached variables were: WITH_GRASS, WITH_GRASS7, GRASS_PREFIX, GRASS_PREFIX7, GRASS_INCLUDE_DIR, GRASS_INCLUDE_DIR7
    # Everywhere else each variable has version major appended.
    # Normal variables were: GRASS_FOUND6, GRASS_FOUND7, GRASS_MAJOR_VERSION6, GRASS_MAJOR_VERSION7, etc.
    # In addition there is also GRASS_FOUND, which is TRUE if at least one version of GRASS was found
    set (GRASS_CACHE_VERSION ${GRASS_SEARCH_VERSION})
    set (WITH_GRASS${GRASS_CACHE_VERSION} TRUE CACHE BOOL "Determines whether GRASS ${GRASS_SEARCH_VERSION} plugin should be built")
    if (WITH_GRASS${GRASS_CACHE_VERSION})
      find_package(GRASS ${GRASS_SEARCH_VERSION})
      set (GRASS_PREFIX${GRASS_CACHE_VERSION} ${GRASS_PREFIX${GRASS_SEARCH_VERSION}} CACHE PATH "Path to GRASS ${GRASS_SEARCH_VERSION} base directory")
    endif()
  endforeach (GRASS_SEARCH_VERSION)

  set (WITH_GUI TRUE CACHE BOOL "Determines whether QGIS GUI library (and everything built on top of it) should be built")

  set (WITH_OAUTH2_PLUGIN TRUE CACHE BOOL "Determines whether OAuth2 authentication method plugin should be built")
  if(WITH_OAUTH2_PLUGIN)
    set(HAVE_OAUTH2_PLUGIN TRUE)
  endif()

  set (WITH_AUTH TRUE CACHE BOOL "Determines whether QGIS authentication methods should be built")

  set (WITH_ANALYSIS TRUE CACHE BOOL "Determines whether QGIS analysis library should be built")

  set (WITH_DESKTOP TRUE CACHE BOOL "Determines whether QGIS desktop should be built")

  if(WITH_DESKTOP)
      if((WIN32 AND NOT MINGW) OR (UNIX AND NOT APPLE AND NOT ANDROID AND NOT IOS))
	set (CRASH_HANDLER_AVAILABLE TRUE)
      else()
	set (CRASH_HANDLER_AVAILABLE FALSE)
      endif()

      set (WITH_CRASH_HANDLER ${CRASH_HANDLER_AVAILABLE} CACHE BOOL "Determines whether the QGIS crash handler application should be built")
      if(WITH_CRASH_HANDLER AND NOT CRASH_HANDLER_AVAILABLE)
	message(FATAL_ERROR "Crash handler cannot be built on this environment. Set WITH_CRASH_HANDLER to false.")
      endif()
      if(WITH_CRASH_HANDLER)
	set (HAVE_CRASH_HANDLER TRUE)    # used in qgsconfig.h
      else()
	set (HAVE_CRASH_HANDLER FALSE)    # used in qgsconfig.h
      endif()
  endif()

  set (WITH_3D TRUE CACHE BOOL "Determines whether QGIS 3D library should be built")

  set (WITH_QUICK FALSE CACHE BOOL "Determines whether QGIS Quick library should be built")

  set (WITH_QGIS_PROCESS TRUE CACHE BOOL "Determines whether the standalone \"qgis_process\" tool should be built")

  set (NATIVE_CRSSYNC_BIN "" CACHE PATH "Path to a natively compiled synccrsdb binary. If set, crssync will not build but use provided bin instead.")
  mark_as_advanced (NATIVE_CRSSYNC_BIN)

  # try to configure and build python bindings by default
  set (WITH_BINDINGS TRUE CACHE BOOL "Determines whether Python bindings should be built")
  if (WITH_BINDINGS)
    # By default bindings will be installed only to QGIS directory
    # Someone might want to install it to python site-packages directory
    # as otherwise user has to use PYTHONPATH environment variable to add
    # QGIS bindings to package search path
    set (BINDINGS_GLOBAL_INSTALL FALSE CACHE BOOL "Install bindings to global Python directory? (might need root)")
    set (SIP_GLOBAL_INSTALL FALSE CACHE BOOL "Install sip source files to system sip directory? (might need root)")
    set (WITH_STAGED_PLUGINS TRUE CACHE BOOL "Stage-install core Python plugins to run from build directory? (utilities and console are always staged)")
    set (WITH_PY_COMPILE FALSE CACHE BOOL "Determines whether Python modules in staged or installed locations should be byte-compiled")
    # concatenate QScintilla2 API files
    if (WITH_GUI)
      set (WITH_QSCIAPI TRUE CACHE BOOL "Whether to generate PyQGIS QScintilla2 API file. (For devs) run 'make qsci-pap-src' in between QGIS build and install to regenerate .pap file in source tree for console auto-completion.")
      # keep casual users from updating their source tree via WITH_QSCIAPI
      mark_as_advanced (WITH_QSCIAPI)
    endif()
  endif()

  # server disabled default because it needs FastCGI (which is optional dependency)
  set (WITH_SERVER FALSE CACHE BOOL "Determines whether QGIS server should be built")
  if(WITH_SERVER)
    set (WITH_SERVER_LANDINGPAGE_WEBAPP FALSE CACHE BOOL "Determines whether QGIS server landingpage webapp should be built (requires nodejs and yarn)")

    set (SERVER_SKIP_ECW FALSE CACHE BOOL "Determines whether QGIS server should disable ECW (ECW in server apps requires a special license)")

    set (WITH_SERVER_PLUGINS ${WITH_BINDINGS} CACHE BOOL "Determines whether QGIS server support for Python plugins should be built")
    if(WITH_SERVER_PLUGINS AND NOT WITH_BINDINGS)
      message(FATAL_ERROR "Server plugins are not supported without Python bindings. Enable WITH_BINDINGS or disable WITH_SERVER_PLUGINS")
    endif()
    if(WITH_SERVER_PLUGINS)
      set(HAVE_SERVER_PYTHON_PLUGINS TRUE)
    endif()
  endif()

  # Custom widgets
  set (WITH_CUSTOM_WIDGETS FALSE CACHE BOOL "Determines whether QGIS custom widgets for Qt Designer should be built")

  if (NOT WITH_GUI)
    set (HAVE_GUI FALSE)    # used in qgsconfig.h
    # force value of some options
    if(WITH_DESKTOP)
      message(FATAL_ERROR "Desktop cannot be built without gui. Enable WITH_GUI or disable WITH_DESKTOP.")
    endif()
    if(WITH_CUSTOM_WIDGETS)
      message(FATAL_ERROR "Custom widgets cannot be built without gui. Enable WITH_GUI or disable WITH_CUSTOM_WIDGETS.")
    endif()
  else()
    set (HAVE_GUI TRUE)     # used in qgsconfig.h
  endif()

  if ( WITH_DESKTOP AND NOT WITH_ANALYSIS )
    message(FATAL_ERROR "Desktop cannot be built without analysis")
  endif()

  if ( WITH_QGIS_PROCESS AND NOT WITH_ANALYSIS )
    message(FATAL_ERROR "Process tool cannot be built without analysis")
  endif()

  if ( WITH_DESKTOP )
    # The qgis_desktop target is meant to build a minimal but complete running QGIS during development
    # This should help to reduce compile time while still having a "complete enough" QGIS for most of the development
    add_custom_target(qgis_desktop
      DEPENDS qgis qgispython pycore pygui pyanalysis provider_postgres staged-plugins pyplugin-installer resources svg doc icons
    )
  endif()

  # try to configure and build MDAL support
  set (WITH_INTERNAL_MDAL TRUE CACHE BOOL "Determines whether MDAL should be built from internal copy (recommended)")
  if (NOT WITH_INTERNAL_MDAL)
    set (MDAL_PREFIX "" CACHE PATH "Path to MDAL base directory")
  endif()

  # try to configure and build POLY2TRI support
  set (WITH_INTERNAL_POLY2TRI TRUE CACHE BOOL "Determines whether POLY2TRI should be built from internal copy")

  # try to configure and build POSTGRESQL support
  set (WITH_POSTGRESQL TRUE CACHE BOOL "Determines whether POSTGRESQL support should be built")
  if (WITH_POSTGRESQL)
    set (POSTGRESQL_PREFIX "" CACHE PATH "Path to POSTGRESQL base directory")
  endif()

=== debian/changelog ===
qgis (3.34.5+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert dpkg-dev (>= 1.22.5) requirement to build dependencies for t64.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Mar 2024 17:35:57 -0700

qgis (3.34.5+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Mar 2024 06:49:32 +0100

qgis (3.34.5+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop pr56765-mod_krovak.patch, included upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Mar 2024 14:56:07 +0100

=== debian/control ===
Source: qgis
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: bison,
               ca-certificates,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               doxygen,
#               dpkg-dev (>= 1.22.5),
               flex,
               gdal-bin,
               git,
               graphviz,
               grass-dev (>= 8.3.2~),
               libexiv2-dev,
               libexpat1-dev,
               libfcgi-dev,
               libgdal-dev (>= 1.11),
               libgeos-dev (>= 3.0.0),
               libgsl-dev,
               libpq-dev,
               libproj-dev,
               libprotobuf-dev,
               libqca-qt5-2-dev,
               libqca-qt5-2-plugins,
               libqscintilla2-qt5-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5sql5-sqlite,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               libqwt-qt5-dev,
               libspatialindex-dev,
               libspatialite-dev,
               libsqlite3-dev,
               libsqlite3-mod-spatialite,
               libzip-dev,
               libzstd-dev,
               locales,
               ninja-build,
               ocl-icd-opencl-dev,
               opencl-headers,
               pkg-kde-tools,
               pkgconf,
               poppler-utils,
               protobuf-compiler,
               pyqt5-dev,
               pyqt5-dev-tools,
               pyqt5.qsci-dev,
               python3-dev,
               python3-gdal,
               python3-nose2,
               python3-owslib,
               python3-psycopg2,
               python3-pyqt5,
               python3-pyqt5.qsci,
               python3-pyqt5.qtpositioning,
               python3-pyqt5.qtsql,
               python3-pyqt5.qtsvg,
               python3-pyqtbuild,
               python3-sipbuild,
               python3-termcolor,
               python3-yaml,
               qt3d-assimpsceneimport-plugin,
               qt3d-defaultgeometryloader-plugin,
               qt3d-gltfsceneio-plugin,
               qt3d-scene2d-plugin,
               qt3d5-dev,
               qt5keychain-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               sip-tools,
               spawn-fcgi,
               xauth,
               xfonts-100dpi,
               xfonts-75dpi,
               xfonts-base,
               xfonts-scalable,
               xvfb
Build-Conflicts: libqgis-dev, qgis-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/qgis
Vcs-Git: https://salsa.debian.org/debian-gis-team/qgis.git
Homepage: https://qgis.org/
Rules-Requires-Root: no

Package: qgis
Architecture: any
Depends: python3-qgis (= ${binary:Version}),
         qgis-common (= ${source:Version}),
         qgis-providers (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qgis-plugin-grass
Suggests: gpsbabel
Breaks: qgis-common (<< 3.4.5), qgis-provider-grass (<< 2.14.0)
Conflicts: uim-qt3
Replaces: qgis-common (<< 3.4.5), qgis-provider-grass (<< 2.14.0)
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. QGIS supports shape file viewing and
 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,
 map composition, and a number of other features via a plugin interface. QGIS
 also supports display of various georeferenced raster and Digital Elevation
 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII
 DEM.

Package: qgis-common
Architecture: all
Depends: libjs-jquery, libjs-leaflet, qml-module-qtcharts, ${misc:Depends}
Breaks: qgis (<< 2.18.17)
Replaces: qgis (<< 2.18.17)
Description: QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with QGIS.

Package: libqgis-3d3.34.5
Architecture: any
Section: libs
Depends: qt3d-assimpsceneimport-plugin,
         qt3d-defaultgeometryloader-plugin,
         qt3d-gltfsceneio-plugin,
         qt3d-scene2d-plugin,
         ${misc:Depends},
         ${shlibs:Depends}
Description: QGIS - shared 3d library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared 3d library.

Package: libqgis-analysis3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared analysis library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared analysis library.

Package: libqgis-app3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared app library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared app library.

Package: libqgis-core3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared core library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared core library.

Package: libqgis-gui3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared gui library.

Package: libqgis-native3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared native gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared native gui library.

Package: libqgis-server3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared server library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared server library.

Package: libqgisgrass8-3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared grass library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared grass library.

Package: libqgispython3.34.5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QGIS - shared Python library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared Python library.

Package: libqgis-customwidgets
Architecture: any
Depends: qttools5-dev-tools, ${misc:Depends}, ${shlibs:Depends}
Description: QGIS custom widgets for Qt Designer
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains a library to use specific QGIS widgets in Qt Designer.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends: grass-dev (>= 8.3.0),
         libexiv2-dev,
         libexpat1-dev,
         libgdal-dev (>= 1.11),
         libgeos-dev (>= 3.0.0),
         libgsl-dev,
         libpq-dev,
         libproj-dev,
         libqca-qt5-2-dev,
         libqgis-3d3.34.5 (= ${binary:Version}),
         libqgis-analysis3.34.5 (= ${binary:Version}),
         libqgis-app3.34.5 (= ${binary:Version}),
         libqgis-core3.34.5 (= ${binary:Version}),
         libqgis-gui3.34.5 (= ${binary:Version}),
         libqgis-native3.34.5 (= ${binary:Version}),
         libqgis-server3.34.5 (= ${binary:Version}),
         libqgisgrass8-3.34.5 (= ${binary:Version}),
         libqgispython3.34.5 (= ${binary:Version}),
         libqscintilla2-qt5-dev,
         libqt5svg5-dev,
         libqt5webkit5-dev,
         libqwt-qt5-dev,
         libsqlite3-dev,
         pyqt5-dev-tools,
         pyqt5.qsci-dev,
         python3-dev,
         python3-pyqt5,
         python3-pyqt5.qsci,
         python3-pyqt5.qtmultimedia,
         python3-pyqt5.qtsql,
         python3-pyqt5.sip,
         python3-pyqtbuild,
         qgis-sip (= ${source:Version}),
         qtbase5-dev,
         qtpositioning5-dev,
         qttools5-dev,
         sip-tools,
         ${misc:Depends}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Description: QGIS - development files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the headers and libraries needed to develop plugins for
 QGIS.

Package: qgis-sip
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: SIP specification files for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the SIP specification files.

Package: qgis-provider-grass
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GRASS provider for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This provider enables GRASS data access in QGIS.

Package: qgis-plugin-grass
Architecture: any
Depends: grass-core (>= 8.3.0),
         qgis (= ${binary:Version}),
         qgis-plugin-grass-common (= ${source:Version}),
         qgis-provider-grass (= ${binary:Version}),
         ${grass:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qgis-provider-grass (<< 2.11.0+git20151002)
Replaces: qgis-provider-grass (<< 2.11.0+git20151002)
Description: GRASS plugin for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This plugin enables GRASS data access in QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the QGIS GRASS plugin.

Package: python3-qgis
Architecture: any
Section: python
Depends: libqgispython3.34.5,
         libsqlite3-mod-spatialite,
         python3-jinja2,
         python3-lxml,
         python3-owslib,
         python3-plotly,
         python3-psycopg2,
         python3-pygments,
         python3-pyproj,
         python3-pyqt5,
         python3-pyqt5.qsci,
         python3-pyqt5.qtmultimedia,
         python3-pyqt5.qtpositioning,
         python3-pyqt5.qtsql,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-qgis-common (= ${source:Version}),
         python3-yaml,
         qgis-providers (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_PYTHON_INSTALL_LAYOUT=deb_system

include /usr/share/dpkg/pkg-info.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_MULTIARCH ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

QGIS_BUILDDIR ?= debian/build

export QT_SELECT=5

QGIS_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

ifeq (,$(DIST))
	DISTRIBUTION := $(DEB_DISTRIBUTION)
else
	DISTRIBUTION := $(DIST)
endif

QT_PLUGINS_DIR = lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins

ifneq ($(DISTRIBUTION),$(findstring $(DISTRIBUTION),"bullseye focal jammy"))
	DISTRIBUTION := sid
endif

DEB_BUILD_NAME ?= $(DISTRIBUTION)-$(DEB_BUILD_ARCH)

QGIS_MAJOR=$(shell sed -ne 's/SET(CPACK_PACKAGE_VERSION_MAJOR "\([0-9]*\)")/\1/ip' CMakeLists.txt)
QGIS_MINOR=$(shell sed -ne 's/SET(CPACK_PACKAGE_VERSION_MINOR "\([0-9]*\)")/\1/ip' CMakeLists.txt)
QGIS_PATCH=$(shell sed -ne 's/SET(CPACK_PACKAGE_VERSION_PATCH "\([0-9]*\)")/\1/ip' CMakeLists.txt)
QGIS_ABI=$(QGIS_MAJOR).$(QGIS_MINOR).$(QGIS_PATCH)
GRASS=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2))
GRASSVER=$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1))
GRASSABI=$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2,3|sed -e 's/RC/-/'))

# Include percentage of started edges
export NINJA_STATUS=[%f/%t %p] 

CMAKE_OPTS := \
	-G Ninja \
	-DBUILDNAME=$(DEB_BUILD_NAME) \
	-DCMAKE_VERBOSE_MAKEFILE=1 \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DBINDINGS_GLOBAL_INSTALL=TRUE \
	-DSIP_GLOBAL_INSTALL=TRUE \
	-DPEDANTIC=TRUE \
	-DSERVER_SKIP_ECW=TRUE \
	-DQGIS_CGIBIN_SUBDIR=/usr/lib/cgi-bin \
	-DWITH_APIDOC=TRUE \
	-DGENERATE_QHP=TRUE \
	-DWITH_CUSTOM_WIDGETS=TRUE \
	-DWITH_SERVER=TRUE \
	-DWITH_SERVER_PLUGINS=TRUE \
	-DWITH_QSPATIALITE=TRUE \
	-DWITH_QWTPOLAR=FALSE \
	-DWITH_3D=TRUE \
	-DGEOS_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libgeos_c.so \
	-DWITH_HANA=TRUE \
	-DWITH_PDAL=FALSE \
	-DWITH_EPT=TRUE \
	-DWITH_DRACO=FALSE \
	-DPython_FIND_UNVERSIONED_NAMES=FIRST \
	-DQT_PLUGINS_DIR=$(QT_PLUGINS_DIR)

ifneq ($(SHA),)
	CMAKE_OPTS += -DSHA=$(SHA)
endif

ifneq (,$(findstring ;$(GRASSVER);, ";7;8;"))
	CMAKE_OPTS += \
		-DWITH_GRASS=TRUE \
		-DWITH_GRASS$(GRASSVER)=TRUE \
		-DGRASS_PREFIX$(GRASSVER)=/usr/lib/$(GRASS)
endif

$(shell test -f /usr/include/$(DEB_BUILD_MULTIARCH)/qt5/Qt3DExtras/qt3dextrasversion.h -a -f /usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/Qt53DExtras/Qt53DExtrasConfig.cmake)
ifneq (0,$(.SHELLSTATUS))
# Qt3DExtras intentionally removed from debian (#895386) and in turn ubuntu
	CMAKE_OPTS += \
		-DQt53DExtras_DIR=$(realpath external/qt3dextra-headers/cmake/Qt53DExtras) \
		-DQT5_3DEXTRA_INCLUDE_DIR=$(realpath external/qt3dextra-headers) \
		-DQT5_3DEXTRA_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libQt53DExtras.so
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CMAKE_OPTS += -DCMAKE_BUILD_TYPE=Debug
endif

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

ifneq (,$(findstring profile,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -pg
	CXXFLAGS += -pg
	LDFLAGS += -pg
endif

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -DNDEBUG
	CXXFLAGS += -DNDEBUG
endif

ifeq ($(DEB_BUILD_ARCH),mips64el)
	CXXFLAGS += -mxgot
endif

%:
	dh $@ --builddirectory=$(QGIS_BUILDDIR) --buildsystem=cmake+ninja

execute_after_dh_clean:
	-$(RM) -r $(CURDIR)/$(QGIS_BUILDDIR)/

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_test:
	@echo Skipping tests.

execute_after_dh_auto_install:
	# remove unwanted files
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/doc/api/installdox

	# Don't include a copy of the world.tif also included in osgearth-data
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/globe/world.tif

	# remove extra license files
	-find $(CURDIR)/debian/tmp/usr/share/qgis/resources/cpt-city-qgis-min/ -name COPYING.xml -delete
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/doc/LICENSE
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/python/plugins/db_manager/LICENSE
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/python/plugins/MetaSearch/LICENSE.txt
	$(RM) $(CURDIR)/debian/tmp/usr/bin/qgis_bench
	$(RM) $(CURDIR)/debian/tmp/usr/bin/test_provider_wcs
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/resources/wcs-servers.json

	# remove documentation outside usr/share/doc
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/python/plugins/db_manager/README
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/python/plugins/db_manager/TODO

	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/resources/cpt-city-qgis-min/README-qgis.txt
	$(RM) $(CURDIR)/debian/tmp/usr/share/qgis/resources/cpt-city-qgis-min/README.txt

	# Man pages are installed by dh_installman
	$(RM) $(CURDIR)/debian/tmp/usr/man/man1/qgis.1

	# Don't ship srs.db, automatically updated in postinst with crssync
	mv $(CURDIR)/debian/tmp/usr/share/qgis/resources/srs.db $(CURDIR)/debian/tmp/usr/share/qgis/resources/srs-template.db

	# Mime info
	install -d $(CURDIR)/debian/tmp/usr/share/mime/packages
	install -m 644 $(CURDIR)/debian/qgis.xml $(CURDIR)/debian/tmp/usr/share/mime/packages

	# qgis binaries
	install -m 755 -d $(CURDIR)/debian/qgis/usr/bin
	install -m 755 $(CURDIR)/debian/tmp/usr/bin/qgis $(CURDIR)/debian/qgis/usr/bin/qgis.bin
	install -m 755 $(CURDIR)/debian/tmp/usr/bin/qgis_process $(CURDIR)/debian/qgis/usr/bin/qgis_process.bin

	$(RM) $(CURDIR)/debian/tmp/usr/bin/qgis $(CURDIR)/debian/tmp/usr/bin/qgis_process

	# qgis binary wrappers
	install -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis/usr/bin/qgis
	install -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis/usr/bin/qgis_process

	# default options for wrappers
	install -m 755 -d $(CURDIR)/debian/qgis/etc/default
	install -m 644 $(CURDIR)/debian/qgis.default $(CURDIR)/debian/qgis/etc/default/qgis

	mkdir -p $(CURDIR)/debian/qgis-sip
	cd $(CURDIR)/debian/tmp && find . -name "*.sip" | tar --remove-files -cf - -T - | tar -C $(CURDIR)/debian/qgis-sip -xf - --xform 's,\./usr/lib/python./dist-packages/qgis,usr/share/sip/qgis,'
	find $(CURDIR)/debian/tmp/ -depth -empty -type d -delete

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	cp qgis.1 qgis.bin.1

	dh_installman -pqgis qgis.1 qgis.bin.1

override_dh_installmime:
	dh_installmime -pqgis

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_python3 --shebang=/usr/bin/python3 /usr/share/qgis/grass/scripts
	dh_python3 --shebang=/usr/bin/python3 /usr/share/qgis/python

override_dh_compress:
	dh_compress --exclude=pdf

override_dh_makeshlibs:
	dh_makeshlibs -Xqgis-plugin-grass -Xlibqgis-customwidgets -- -c0 -v$(QGIS_VERSION)

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(GRASS)/lib

override_dh_gencontrol:
	dh_gencontrol -- -Vgrass:Depends="grass$(GRASSABI)"

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qgis 3.34.6%2Bdfsg

=== debian/changelog ===
qgis (3.34.6+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert dpkg-dev (>= 1.22.5) requirement to build dependencies for t64.
  * Make Recommended qgis-plugin-grass an explicit dependency for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 May 2024 23:15:34 -0700

qgis (3.34.6+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Apr 2024 06:44:03 +0200

qgis (3.34.6+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Apr 2024 14:25:44 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                gdal-bin,
                git,
                graphviz,
-               grass-dev (>= 8.3.2~),
+               grass-dev (>= 8.3.2),
                libexiv2-dev,
                libexpat1-dev,
                libfcgi-dev,
@@ -102,8 +102,8 @@
          qgis-common (= ${source:Version}),
          qgis-providers (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: qgis-plugin-grass
+         ${shlibs:Depends},
+         qgis-plugin-grass
 Suggests: gpsbabel
 Breaks: qgis-common (<< 3.4.5), qgis-provider-grass (<< 2.14.0)
 Conflicts: uim-qt3
@@ -129,7 +129,7 @@
  This package contains architecture-independent supporting data files for use
  with QGIS.
 
-Package: libqgis-3d3.34.5
+Package: libqgis-3d3.34.6
 Architecture: any
 Section: libs
 Depends: qt3d-assimpsceneimport-plugin,
@@ -144,7 +144,7 @@
  .
  This package contains the shared 3d library.
 
-Package: libqgis-analysis3.34.5
+Package: libqgis-analysis3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -154,7 +154,7 @@
  .
  This package contains the shared analysis library.
 
-Package: libqgis-app3.34.5
+Package: libqgis-app3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -164,7 +164,7 @@
  .
  This package contains the shared app library.
 
-Package: libqgis-core3.34.5
+Package: libqgis-core3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -174,7 +174,7 @@
  .
  This package contains the shared core library.
 
-Package: libqgis-gui3.34.5
+Package: libqgis-gui3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -184,7 +184,7 @@
  .
  This package contains the shared gui library.
 
-Package: libqgis-native3.34.5
+Package: libqgis-native3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -194,7 +194,7 @@
  .
  This package contains the shared native gui library.
 
-Package: libqgis-server3.34.5
+Package: libqgis-server3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -204,7 +204,7 @@
  .
  This package contains the shared server library.
 
-Package: libqgisgrass8-3.34.5
+Package: libqgisgrass8-3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -214,7 +214,7 @@
  .
  This package contains the shared grass library.
 
-Package: libqgispython3.34.5
+Package: libqgispython3.34.6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -245,15 +245,15 @@
          libpq-dev,
          libproj-dev,
          libqca-qt5-2-dev,
-         libqgis-3d3.34.5 (= ${binary:Version}),
-         libqgis-analysis3.34.5 (= ${binary:Version}),
-         libqgis-app3.34.5 (= ${binary:Version}),
-         libqgis-core3.34.5 (= ${binary:Version}),
-         libqgis-gui3.34.5 (= ${binary:Version}),
-         libqgis-native3.34.5 (= ${binary:Version}),
-         libqgis-server3.34.5 (= ${binary:Version}),
-         libqgisgrass8-3.34.5 (= ${binary:Version}),
-         libqgispython3.34.5 (= ${binary:Version}),
+         libqgis-3d3.34.6 (= ${binary:Version}),
+         libqgis-analysis3.34.6 (= ${binary:Version}),
+         libqgis-app3.34.6 (= ${binary:Version}),
+         libqgis-core3.34.6 (= ${binary:Version}),
+         libqgis-gui3.34.6 (= ${binary:Version}),
+         libqgis-native3.34.6 (= ${binary:Version}),
+         libqgis-server3.34.6 (= ${binary:Version}),
+         libqgisgrass8-3.34.6 (= ${binary:Version}),
+         libqgispython3.34.6 (= ${binary:Version}),
          libqscintilla2-qt5-dev,
          libqt5svg5-dev,
          libqt5webkit5-dev,
@@ -334,7 +334,7 @@
 Package: python3-qgis
 Architecture: any
 Section: python
-Depends: libqgispython3.34.5,
+Depends: libqgispython3.34.6,
          libsqlite3-mod-spatialite,
          python3-jinja2,
          python3-lxml,
@@ -356,3 +356,4 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Description: Python bindings to QGIS

=== debian/rules ===
--- 
+++ 
@@ -228,4 +228,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## qgis 3.34.6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # Project and version
 set(CPACK_PACKAGE_VERSION_MAJOR "3")
 set(CPACK_PACKAGE_VERSION_MINOR "34")
-set(CPACK_PACKAGE_VERSION_PATCH "5")
+set(CPACK_PACKAGE_VERSION_PATCH "6")
 set(COMPLETE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH})
 set(RELEASE_NAME "Prizren")
 project(qgis VERSION ${COMPLETE_VERSION})

=== debian/changelog ===
qgis (3.34.6+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Drop dpkg-dev build dependency, not required for bookworm.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 May 2024 15:46:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qgis
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -12,13 +11,9 @@
                dh-python,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
-               doxygen,
-#               dpkg-dev (>= 1.22.5),
                flex,
                gdal-bin,
-               git,
-               graphviz,
-               grass-dev (>= 8.3.2),
+               grass-dev (>= 8.2.1),
                libexiv2-dev,
                libexpat1-dev,
                libfcgi-dev,
@@ -44,16 +39,13 @@
                libsqlite3-mod-spatialite,
                libzip-dev,
                libzstd-dev,
-               locales,
                ninja-build,
                ocl-icd-opencl-dev,
                opencl-headers,
-               pkg-kde-tools,
                pkgconf,
-               poppler-utils,
                protobuf-compiler,
+               pyqt5-dev-tools,
                pyqt5-dev,
-               pyqt5-dev-tools,
                pyqt5.qsci-dev,
                python3-dev,
                python3-gdal,
@@ -69,30 +61,37 @@
                python3-sipbuild,
                python3-termcolor,
                python3-yaml,
+               qt3d5-dev,
                qt3d-assimpsceneimport-plugin,
                qt3d-defaultgeometryloader-plugin,
                qt3d-gltfsceneio-plugin,
                qt3d-scene2d-plugin,
-               qt3d5-dev,
                qt5keychain-dev,
                qtbase5-dev,
                qtbase5-private-dev,
                qtmultimedia5-dev,
                qtpositioning5-dev,
+               qttools5-dev-tools,
                qttools5-dev,
-               qttools5-dev-tools,
                sip-tools,
-               spawn-fcgi,
+               git,
+               doxygen,
+               graphviz,
+               xvfb,
                xauth,
+               xfonts-base,
                xfonts-100dpi,
                xfonts-75dpi,
-               xfonts-base,
                xfonts-scalable,
-               xvfb
-Build-Conflicts: libqgis-dev, qgis-dev
+               spawn-fcgi,
+               poppler-utils,
+               locales,
+               pkg-kde-tools
+Build-Conflicts: libqgis-dev,
+                 qgis-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/qgis
-Vcs-Git: https://salsa.debian.org/debian-gis-team/qgis.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/qgis.git -b bookworm-backports
 Homepage: https://qgis.org/
 Rules-Requires-Root: no
 
@@ -101,13 +100,15 @@
 Depends: python3-qgis (= ${binary:Version}),
          qgis-common (= ${source:Version}),
          qgis-providers (= ${binary:Version}),
-         ${misc:Depends},
          ${shlibs:Depends},
-         qgis-plugin-grass
+         ${misc:Depends}
+Recommends: qgis-plugin-grass
 Suggests: gpsbabel
-Breaks: qgis-common (<< 3.4.5), qgis-provider-grass (<< 2.14.0)
+Breaks: qgis-common (<< 3.4.5),
+        qgis-provider-grass (<< 2.14.0)
 Conflicts: uim-qt3
-Replaces: qgis-common (<< 3.4.5), qgis-provider-grass (<< 2.14.0)
+Replaces: qgis-common (<< 3.4.5),
+          qgis-provider-grass (<< 2.14.0)
 Description: Geographic Information System (GIS)
  A Geographic Information System (GIS) manages, analyzes, and displays
  databases of geographic information. QGIS supports shape file viewing and
@@ -119,7 +120,10 @@
 
 Package: qgis-common
 Architecture: all
-Depends: libjs-jquery, libjs-leaflet, qml-module-qtcharts, ${misc:Depends}
+Depends: libjs-jquery,
+         libjs-leaflet,
+         qml-module-qtcharts,
+         ${misc:Depends}
 Breaks: qgis (<< 2.18.17)
 Replaces: qgis (<< 2.18.17)
 Description: QGIS - architecture-independent data
@@ -136,8 +140,8 @@
          qt3d-defaultgeometryloader-plugin,
          qt3d-gltfsceneio-plugin,
          qt3d-scene2d-plugin,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared 3d library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -147,7 +151,8 @@
 Package: libqgis-analysis3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared analysis library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -157,7 +162,8 @@
 Package: libqgis-app3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared app library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -167,7 +173,8 @@
 Package: libqgis-core3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared core library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -177,7 +184,8 @@
 Package: libqgis-gui3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared gui library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -187,7 +195,8 @@
 Package: libqgis-native3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared native gui library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -197,7 +206,8 @@
 Package: libqgis-server3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared server library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -207,7 +217,8 @@
 Package: libqgisgrass8-3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared grass library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -217,7 +228,8 @@
 Package: libqgispython3.34.6
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS - shared Python library
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -226,7 +238,9 @@
 
 Package: libqgis-customwidgets
 Architecture: any
-Depends: qttools5-dev-tools, ${misc:Depends}, ${shlibs:Depends}
+Depends: qttools5-dev-tools,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: QGIS custom widgets for Qt Designer
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -236,7 +250,7 @@
 Package: libqgis-dev
 Architecture: any
 Section: libdevel
-Depends: grass-dev (>= 8.3.0),
+Depends: grass-dev (>= 8.2.0),
          libexiv2-dev,
          libexpat1-dev,
          libgdal-dev (>= 1.11),
@@ -295,7 +309,8 @@
 
 Package: qgis-provider-grass
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: GRASS provider for QGIS
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
  display databases of geographic information.
@@ -304,13 +319,13 @@
 
 Package: qgis-plugin-grass
 Architecture: any
-Depends: grass-core (>= 8.3.0),
-         qgis (= ${binary:Version}),
+Depends: qgis (= ${binary:Version}),
          qgis-plugin-grass-common (= ${source:Version}),
          qgis-provider-grass (= ${binary:Version}),
+         grass-core (>= 8.2.0),
          ${grass:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Breaks: qgis-provider-grass (<< 2.11.0+git20151002)
 Replaces: qgis-provider-grass (<< 2.11.0+git20151002)
 Description: GRASS plugin for QGIS
@@ -321,7 +336,8 @@
 
 Package: qgis-plugin-grass-common
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends}
 Breaks: qgis-common (<< 1.5)
 Replaces: qgis-common (<< 1.5)
 Description: GRASS plugin for QGIS - architecture-independent data
@@ -334,7 +350,9 @@
 Package: python3-qgis
 Architecture: any
 Section: python
-Depends: libqgispython3.34.6,
+Depends: python3-qgis-common (= ${source:Version}),
+         qgis-providers (= ${binary:Version}),
+         libqgispython3.34.6,
          libsqlite3-mod-spatialite,
          python3-jinja2,
          python3-lxml,
@@ -350,10 +368,4 @@
          python3-pyqt5.qtsql,
          python3-pyqt5.qtsvg,
          python3-pyqt5.qtwebkit,
-         python3-qgis-common (= ${source:Version}),
          python3-yaml,
-         qgis-providers (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Description: Python bindings to QGIS
